package ec.app.IEAS;
import ec.*;
import ec.gp.*;

@SuppressWarnings("serial")
public abstract class Func_Geometric extends GPNode 
{

	public static class Tilerad extends Func_Geometric
	{
	    public String toString()         { return "tilerad"; }
	    public int    expectedChildren() { return 2;         }
	    public void eval(
	    	final EvolutionState state,
	        final int            thread,
	        final GPData         input,
	        final ADFStack       stack,
	        final GPIndividual   individual,
	        final Problem        problem
	    )
	    {
	        double c1, c2;
	        MultiData rd = ((MultiData)(input));

	        children[0].eval(state,thread,input,stack,individual,problem);
	        c1 = rd.GetD();
	        children[1].eval(state,thread,input,stack,individual,problem);
			c2 = rd.GetD();

			//???
			
	        rd.SetTo(  c1 + c2  );
	    }
	}
	
	//Cone (d d)
	//Spiral (d)
	//Circle (d)
	//...
	
}
