package ec.app.IEAS;
import ec.*;
import ec.gp.*;

@SuppressWarnings("serial")
public abstract class Func_Noise extends GPNode
{
	
	public static class Perlin extends Func_Noise
	{
	    public String toString()         { return "Perlin"; }
	    public int    expectedChildren() { return 2;        }
	    public void eval(
	    	final EvolutionState state,
	        final int            thread,
	        final GPData         input,
	        final ADFStack       stack,
	        final GPIndividual   individual,
	        final Problem        problem
	    )
	    {   
	        MultiData rd = ((MultiData)(input));
	     
	        double x, y, f, seed;
	        x = ((IEAS)problem).Current_Pos_X;
	        y = ((IEAS)problem).Current_Pos_Y;
	        children[0].eval(state,thread,input,stack,individual,problem);
	        f = rd.GetD();
	        children[1].eval(state,thread,input,stack,individual,problem);
			seed = rd.GetD();
			
			//...

	        rd.SetTo(  0.0  );
	    }
	}
	
	//Perlin (freq seed [ x y ])
	//smooth(d d)
	//turb (d d)
	//turbflow (d d d)
	//cloud (d d d d)
	//vlnoise
	//fbm
	//worleynoise
	//...
	//random
	//grass
	//mandelbrot
	//marble
	//fireball
	//fur
	//...

}
