package ec.app.COSC5P71_Proj;
import ec.*;
import ec.gp.*;

@SuppressWarnings("serial")
public abstract class Func_Conditional extends GPNode 
{

	public static class IfGT extends Func_Math
	{
	    public String toString()         { return "IfGT"; }	    
	    public int    expectedChildren() { return 4; }	
	    public void eval(
	    	final EvolutionState state,
	        final int            thread,
	        final GPData         input,
	        final ADFStack       stack,
	        final GPIndividual   individual,
	        final Problem        problem
	    )
	    {
	        double c1, c2, val;
	        DoubleData rd = ((DoubleData)(input));
	
	        children[0].eval(state,thread,input,stack,individual,problem);
	        c1 = rd.x;
	        children[1].eval(state,thread,input,stack,individual,problem);
			c2 = rd.x;
			
			children[ (c1>c2)? 2 : 3 ].eval(state,thread,input,stack,individual,problem);
			val = rd.x;
			
	        rd.x = val;
	    }	    
	}
	
}
