package ec.app.IEAS;

import ec.EvolutionState;
import ec.Problem;
import ec.gp.ADFStack;
import ec.gp.GPData;
import ec.gp.GPIndividual;
import ec.gp.GPNode;


@SuppressWarnings("serial")
public abstract class Func_Variable extends GPNode 
{	
	@Override public int expectedChildren() { return 0; }

	
	public static class Pos_X extends Func_Variable
	{
	    public String toString() { return "X"; }
	    public void eval(
	    	final EvolutionState state,
	        final int            thread,
	        final GPData         input,
	        final ADFStack       stack,
	        final GPIndividual   individual,
	        final Problem        problem
	    )
	    {
	        MultiData rd = ((MultiData)(input));
	        rd.SetTo(  ((IEAS)problem).Current_Pos_X  );
	    }
	}
	
	public static class Pos_Y extends Func_Variable
	{
	    public String toString() { return "Y"; }
	    public void eval(
	    	final EvolutionState state,
	        final int            thread,
	        final GPData         input,
	        final ADFStack       stack,
	        final GPIndividual   individual,
	        final Problem        problem
	    )
	    {
	        MultiData rd = ((MultiData)(input));
	        rd.SetTo(  ((IEAS)problem).Current_Pos_Y  );
	    }
	}
	
}
